LibreOffice: ImageMapCircleObject Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
ImageMapCircleObject Service Referencepublished

this service describes a circular-shaped region inside a HTML image map. More...

`import <ImageMapCircleObject.idl;`

Inheritance diagram for ImageMapCircleObject:

## Included Services
service | ImageMapObject
| The basic service for all image map objects.

## Public Attributes
com::sun::star::awt::Point | Center
| This is the center point of the circle in pixels.
long | Radius
| This is the radius of the circle in pixels.
Public Attributes inherited from ImageMapObject
string | URL
| This is the URL for this object.
string | Description
| This is an optional description text for the link.
string | Target
| This is the target frame.
string | Name
| Optionally, objects could be named.
boolean | IsActive
| If an object is not active, it is ignored when the user clicks on the ImageMap.

## Additional Inherited Members
Exported Interfaces inherited from ImageMapObject
interface | ::com::sun::star::beans::XPropertySet
| Interface to access the properties of this service.
interface | com::sun::star::document::XEventsSupplier
| This interface gives access to the events bound to this ImageMapObject.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XEventsSupplier
com::sun::star::container::XNameReplace | getEvents ()
| offers a list of event handlers which are be bound to events of this object

## Detailed Description

this service describes a circular-shaped region inside a HTML image map.

See also
  ImageMap
  ImageMapObject

## Exported Interfaces

## ◆ ImageMapObject

service ImageMapObject

The basic service for all image map objects.

## Member Data Documentation

## ◆ Center

com::sun::star::awt::Point Center
| property

This is the center point of the circle in pixels.

## ◆ Radius

long Radius
| property

This is the radius of the circle in pixels.

The documentation for this service was generated from the following file:

- com/sun/star/image/ImageMapCircleObject.idl